Subject: bug#51696: Request: Adopt the unofficial GUIX community on Matrix

From: Jacob Hrbek <[email-masked]>
Date: Sat, 13 Nov 2021 02:37:31 +0000

> I see.  For my usage, that's too much, as I'm not comfortable dedicating up to a quarter of my system memory for a real time text messaging application. -- Maxim
> Could you clarify what benefits would "adopting" the Matrix channel and space provide?  Isn't there already a bridge to libera.chat (thus #guix) in Matrix? -- Maxim

My proposal doesn't require you to use the application and if the resource requirements for the initial sync are unwanted then that can be disabled at the cost of not getting your already sent and received messages and joined channels.
FWIW the sync is not a problem in terms of resources on my devices as the CPU scheduler optimizes the load as the sync is not time sensitive.

I am asking for an adoption of the Matrix channel and the space with a bridges so that users can use either of those protocols (possibly more) to be in a contact with the guix-relevant channels.

..without the need to set up custom spaces like I am doing now as that is an annoyance that increases the complexity of the setup.

Which also significantly decreases the likelyhood of people making their own channels without disclosing it's unofficiality that discourages new users from trying Guix (which happened to me and 3 other people I know as i was lead to believe that Guix is just weird arch that can't be configured without implementation of parametrization of packages).

Real life example: PINE64 community management just with puppet users (users which are integrated in the protocol) instead of relay bridges (messages like `[I] alice: message` to show message from alice that was sent on an IRC).

> Yes, I'm aware of it; as I wrote earlier, I had tried it and found it too buggy to be usable, unfortunately. -- Maxim

Consider filing a bug report so that those issues can be tracked and actionable as (I didn't try matrix on weechat) it seems that the implementation is mature and usable enough.

-- Jacob "Kreyren" Hrbek

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Saturday, November 13th, 2021 at 1:58 AM, Maxim Cournoyer <[email-masked]> wrote:

> Hi Jacob,

> Jacob Hrbek [email-masked] writes:
> 

> > > I was curious because you said in your experience the clients other than Element worked well (which is not my experience). -- Maxim
> > 

> > To clarify I meant that I didn't experience any issues sending or receiving messages on those clients and I asked "Is there any reason why should I check them?" in case you are aware of an issue that I should check.
> > 

> > > When I used tried using it a couple years back it was consuming easily 1 GiB of memory in the browser, sometimes 2. -- Maxim
> > 

> > The initial sync takes around this on my system as well which seems to grow depending on the complexity of the account e.g. account that joined X amount of channels and sent X amount of messages will need more resources for the login
> > 

> > procedure due to the zero knowledge federation.
> 

> I see. For my usage, that's too much, as I'm not comfortable dedicating
> 

> up to a quarter of my system memory for a real time text messaging
> 

> application.

> > Could you try the client again for fresh data ideally outside of the matrix.org homeserver? I always have issues on the upstream homeserver so it makes me feel like its not representative of the network.
> > 

> > FWIW there is a script for weechat that integrates matrix as well.
> 

> Yes, I'm aware of it; as I wrote earlier, I had tried it and found it
> 

> too buggy to be usable, unfortunately.
> 

> Could you clarify what benefits would "adopting" the Matrix channel and
> 

> space provide? Isn't there already a bridge to libera.chat (thus #guix)
> 

> in Matrix?

> Thanks,

> Maxim